package com.lightinit.hsdataportal.model;

import com.lightinit.hsdataportal.entity.BaseExample;

/**
 * @Author: sunxiang
 * @Date: 2018/6/9 22:01
 * @Description:
 **/
public class DataSearchModel extends BaseExample {
    private Long catelogId;
    private Long publisthSettingId;
    private Long resourceId;
    private String catelogName;     //分类   resource_catelog表中目录名称
    //机构待写
    private String platformType;//平台类型
    private String openType;        //开放类型
    private String shareType;       //共享类型
    private String resourceName;    //服务名称
    private String resourceType;
    private String publishState;
    private String defaultSort;         //默认排序方式
    private String lastOpenTime;       //最近开放  value:asc/desc 将publish_info表中的created_at作为开放时间。
    private String viewTimes;        //访问数量    value:asc/desc
 //   private String applicationNumber;        //下载数量   ----->该字段展示没有找到
    //主题分类
    private Long catelogTheme ;
    //部门
    private Long catelogSector ;
    //排除shareType字段
    private String NotOpenType ;
    //计费类型
    private String chargeMethod ;
    private Integer sortType=0; //排序方式

    //服务标识
    private String resourceIdentity ;

    //标签
    private String serviceTag ;

    /////////////////////////////d
    //主题分类编码
    private String catelogThemeCode ;

    //部门编码
    private String sectorCode ;

    //部门
    private Long provider ;

    //排除shareType字段
    private String NotShareType ;

    private String sortCategory ;


    /////////////////////////////d
    private String moreCondition;//留给多余条件查询，避免冲突

    public Long getResourceId() {
        return resourceId;
    }

    public void setResourceId(Long resourceId) {
        this.resourceId = resourceId;
    }

    public String getMoreCondition() {
        return moreCondition;
    }

    public void setMoreCondition(String moreCondition) {
        this.moreCondition = moreCondition;
    }

    public Long getProvider() {
        return provider;
    }

    public void setProvider(Long provider) {
        this.provider = provider;
    }

    public String getNotShareType() {
        return NotShareType;
    }

    public void setNotShareType(String notShareType) {
        NotShareType = notShareType;
    }

    public String getPlatformType() {
        return platformType;
    }

    public void setPlatformType(String platformType) {
        this.platformType = platformType;
    }

    public String getCatelogThemeCode() {
        return catelogThemeCode;
    }

    public void setCatelogThemeCode(String catelogThemeCode) {
        this.catelogThemeCode = catelogThemeCode;
    }

    public String getSectorCode() {
        return sectorCode;
    }

    public void setSectorCode(String sectorCode) {
        this.sectorCode = sectorCode;
    }

    public Integer getSortType() {
        return sortType;
    }


    public void setSortType(Integer sortType) {
        this.sortType = sortType;
    }

    public Long getPublisthSettingId() {
        return publisthSettingId;
    }

    public void setPublisthSettingId(Long publisthSettingId) {
        this.publisthSettingId = publisthSettingId;
    }

    public Long getCatelogTheme() {
        return catelogTheme;
    }

    public void setCatelogTheme(Long catelogTheme) {
        this.catelogTheme = catelogTheme;
    }

    public Long getCatelogSector() {
        return catelogSector;
    }

    public void setCatelogSector(Long catelogSector) {
        this.catelogSector = catelogSector;
    }

    public String getNotOpenType() {
        return NotOpenType;
    }

    public void setNotOpenType(String notOpenType) {
        NotOpenType = notOpenType;
    }

    public String getChargeMethod() {
        return chargeMethod;
    }

    public void setChargeMethod(String chargeMethod) {
        this.chargeMethod = chargeMethod;
    }

    public Long getCatelogId() {
        return catelogId;
    }

    public void setCatelogId(Long catelogId) {
        this.catelogId = catelogId;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public String getPublishState() {
        return publishState;
    }

    public void setPublishState(String publishState) {
        this.publishState = publishState;
    }

    public String getCatelogName() {
        return catelogName;
    }

    public void setCatelogName(String catelogName) {
        this.catelogName = catelogName;
    }

    public String getOpenType() {
        return openType;
    }

    public void setOpenType(String openType) {
        this.openType = openType;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public String getDefaultSort() {
        return defaultSort;
    }

    public void setDefaultSort(String defaultSort) {
        this.defaultSort = defaultSort;
    }

    public String getLastOpenTime() {
        return lastOpenTime;
    }

    public void setLastOpenTime(String lastOpenTime) {
        this.lastOpenTime = lastOpenTime;
    }

    public String getViewTimes() {
        return viewTimes;
    }

    public void setViewTimes(String viewTimes) {
        this.viewTimes = viewTimes;
    }

    public String getShareType() {
        return shareType;
    }

    public void setShareType(String shareType) {
        this.shareType = shareType;
    }

   /* public String getPriceType() {
        return priceType;
    }

    public void setPriceType(String priceType) {
        this.priceType = priceType;
    }*/

    public String getSortCategory() {
        return sortCategory;
    }

    public void setSortCategory(String sortCategory) {
        this.sortCategory = sortCategory;
    }

    public String getResourceIdentity() {
        return resourceIdentity;
    }

    public void setResourceIdentity(String resourceIdentity) {
        this.resourceIdentity = resourceIdentity;
    }

    public String getServiceTag() {
        return serviceTag;
    }

    public void setServiceTag(String serviceTag) {
        this.serviceTag = serviceTag;
    }
}
